version: '2.3'
#see .env file for env variables definitions

#this is the main docker-file. The docker-files for the other services are appendend running the script aloha.sh.

services:

#  ██████╗ ██████╗ ███████╗
#  ██╔══██╗██╔══██╗██╔════╝
#  ██║  ██║██████╔╝███████╗
#  ██║  ██║██╔══██╗╚════██║
#  ██████╔╝██████╔╝███████║
#  ╚═════╝ ╚═════╝ ╚══════╝

  mongodb:
    image: mongo:3.7.3 # From DockerHub
    ports:
      - "${MONGO_DB_PUBLIC_PORT}:27017"
    volumes:
      - ${SHARED_DATA}/mongodb/configdb:/data/configdb
      - ${SHARED_DATA}/mongodb/db:/data/db


  redisdb:
    image: "redis"
    ports:
      - "${REDIS_DB_PUBLIC_PORT}:6379"

